uk.gov.hmrc.play.bootstrap.filters.frontend

# SessionTimeoutFilter

###
Related Docs: object SessionTimeoutFilter | package frontend

#### class SessionTimeoutFilter extends Filter

Filter that manipulates session data if 'ts' session field is older than configured timeout.

If the 'ts' has expired, we wipe the session, and update the 'ts'. If the 'ts' doesn't exist, or is invalid, we just wipe the authToken.

This filter clears data on the incoming request, so that the controller does not receive any session information. It also changes the SET-COOKIE header for the outgoing request, so that the browser knows the session has expired.

A white-list of session values are omitted from this process.

Linear Supertypes
Filter, EssentialFilter, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SessionTimeoutFilter
2. Filter
3. EssentialFilter
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new SessionTimeoutFilter(config: SessionTimeoutFilterConfig)(implicit ec: ExecutionContext, mat: Materializer)

   config

     an instance of `SessionTimeoutFilterConfig` representing the various configurable aspects of this class

   mat

     a `Materializer` instance for Play! to use when dealing with the underlying Akka streams

   Annotations
     @Inject()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def apply(f: (RequestHeader) ⇒ Future[Result])(rh: RequestHeader): Future[Result]

   Definition Classes
     SessionTimeoutFilter → Filter

5. #### def apply(next: EssentialAction): EssentialAction

   Definition Classes
     Filter → EssentialFilter

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def asJava: EssentialFilter

   Definition Classes
     EssentialFilter

8. #### val authRelatedKeys: Seq[String]

9. #### def clock(): DateTime

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### implicit val mat: Materializer

    a `Materializer` instance for Play! to use when dealing with the underlying Akka streams

    a `Materializer` instance for Play! to use when dealing with the underlying Akka streams

    Definition Classes
      SessionTimeoutFilter → Filter

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

22. #### def toString(): String

    Definition Classes
      AnyRef → Any

23. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Filter

### Inherited from EssentialFilter

### Inherited from AnyRef

### Inherited from Any

### Ungrouped